#!/system/bin/sh

PROP_ETH0=`/system/bin/getprop init.svc.dhcpcd_eth0`
PROP_PPPD=`/system/bin/getprop init.svc.ppp_gprs`
PROP_HOSTAPD=`/system/bin/getprop init.svc.hostapd`

if [ "$PROP_HOSTAPD" = "stopped" ]; then
	echo "hostapd not start!disable ip forword."
	echo '0'>/proc/sys/net/ipv4/ip_forward 
	exit -1
elif [ "$PROP_ETH0" = "running" ]; then
	echo "eth0 is running"
	OUT_INTER=eth0;
elif [ "$PROP_PPPD" = "running" ]; then
  echo "pppd is running"
  OUT_INTER=ppp0;
else
	echo "Not net interface enable!"
	exit -1
fi

echo "out interface is $IN_INTER"

case $1 in
  	enable)
		  echo "Starting iptables fw now ......"
      # Open the kernel function of forward packets
      /system/bin/iptables --flush
			/system/bin/iptables --table nat --flush
			/system/bin/iptables --delete-chain
			# /system/bin/iptables --table nat --delete-chain
			# /system/bin/iptables --append FORWARD --in-interface wlan0 -o $OUT_INTER -j ACCEPT
			# /system/bin/iptables --table nat --append POSTROUTING --out-interface $OUT_INTER -j MASQUERADE
			
			/system/bin/iptables --table nat --append POSTROUTING --out-interface $OUT_INTER -j MASQUERADE
			/system/bin/iptables --append FORWARD --in-interface wlan0 -j ACCEPT
			
      echo '0'>/proc/sys/net/ipv4/ip_forward 
      echo '1'>/proc/sys/net/ipv4/ip_forward 
		;;

		disable)
			echo "Stopping iptables fw now ......"
			echo '0'>/proc/sys/net/ipv4/ip_forward 
		;;	
esac	

exit 0

